/*
 * stfu: silence is golden, particularly from kernel messages
 */
#include <asm/unistd.h>
#include <sys/syscall.h>

static int errno;
#define __NR_klog SYS_klog
static inline _syscall1(int,exit,int,exitcode)
static inline _syscall3(int, klog, int, type, char *, buf, int, len);

#define LOG_CLOSE	0
#define LOG_OPEN	1
#define LOG_READ	2
#define LOG_READALL	3
#define LOG_READCLEAR	4
#define LOG_CLEAR	5
#define LOG_DISABLE	6
#define LOG_ENABLE	7
#define LOG_LOGLEVEL	8

start()
{

    klog(LOG_DISABLE, (void*)0, 0);
    exit(0);
}
